Package org.eclipse.zest.layouts

# Interface LayoutStyles

@Deprecated(since="2.0", forRemoval=true) public interface LayoutStyles
Deprecated, for removal: This API element is subject to removal in a future version.
Since Zest 2.0, layout styles are set on the individual layout algorithms (e.g. `TreeLayoutAlgorithm.isResizing()`). This interface will be removed in a future release.

@noextend
  This interface is not intended to be extended by clients.
@noimplement
  This interface is not intended to be implemented by clients.
@noreference
  This interface is not intended to be referenced by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ENFORCE_BOUNDS`
Deprecated.
`static final int`
`NO_LAYOUT_NODE_RESIZING`
Deprecated.
`static final int`
`NONE`
Deprecated.

## Field Details

### NONE

@Deprecated static final int NONE
Deprecated.
Default layout style constant.

See Also:
  - Constant Field Values

### NO_LAYOUT_NODE_RESIZING

@Deprecated static final int NO_LAYOUT_NODE_RESIZING
Deprecated.
Layout constant indicating that the layout algorithm should NOT resize any of the nodes.

See Also:
  - Constant Field Values

### ENFORCE_BOUNDS

@Deprecated static final int ENFORCE_BOUNDS
Deprecated.
Some layouts may prefer to expand their bounds beyond those of the requested bounds. This flag asks the layout not to do so.

See Also:
  - Constant Field Values